org.apache.lucene.search.vectorhighlight

## Class FieldFragList.WeightedFragInfo.SubInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo.SubInfo

Enclosing class:
  FieldFragList.WeightedFragInfo

    public static class FieldFragList.WeightedFragInfo.SubInfo
    extends Object

Represents the list of term offsets for some text

### Constructor Summary

Constructors
Constructor and Description
`FieldFragList.WeightedFragInfo.SubInfo(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum)`

### Method Summary

Methods
`int` `getSeqnum()`
`List<FieldPhraseList.WeightedPhraseInfo.Toffs>` `getTermsOffsets()`
`String` `getText()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldFragList.WeightedFragInfo.SubInfo

    public FieldFragList.WeightedFragInfo.SubInfo(String text,
                                          List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets,
                                          int seqnum)

### Method Detail

#### getTermsOffsets

    public List<FieldPhraseList.WeightedPhraseInfo.Toffs> getTermsOffsets()

#### getSeqnum

    public int getSeqnum()

#### getText

    public String getText()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`